Package org.apache.ignite.internal.management.cache

## Class CacheValidateIndexesCommand

- java.lang.Object
- - org.apache.ignite.internal.management.cache.CacheValidateIndexesCommand

All Implemented Interfaces:
  `Command<CacheValidateIndexesCommandArg,​ValidateIndexesTaskResult>`, `ComputeCommand<CacheValidateIndexesCommandArg,​ValidateIndexesTaskResult>`

    public class CacheValidateIndexesCommand
    extends Object
    implements ComputeCommand<CacheValidateIndexesCommandArg,​ValidateIndexesTaskResult>

Validates indexes attempting to read each indexed entry.

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
`CacheValidateIndexesCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<CacheValidateIndexesCommandArg>` `argClass()`
`String` `description()` Command description.
`Collection<GridClientNode>` `nodes​(Collection<GridClientNode> nodes, CacheValidateIndexesCommandArg arg)`
`void` `printResult​(CacheValidateIndexesCommandArg arg, ValidateIndexesTaskResult res0, Consumer<String> printer)` Prints command result to the user.
`Class<ValidateIndexesTask>` `taskClass()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`confirmationPrompt, deprecationMessage`

### Methods inherited from interface org.apache.ignite.internal.management.api.ComputeCommand

`handleException`

### Constructor Detail

#### CacheValidateIndexesCommand

    public CacheValidateIndexesCommand()

### Method Detail

#### description

    public String description()

Command description.

Specified by:
  `description` in interface `Command<CacheValidateIndexesCommandArg,​ValidateIndexesTaskResult>`

#### argClass

    public Class<CacheValidateIndexesCommandArg> argClass()

Specified by:
  `argClass` in interface `Command<CacheValidateIndexesCommandArg,​ValidateIndexesTaskResult>`
Returns:
  Arguments class.

#### taskClass

    public Class<ValidateIndexesTask> taskClass()

Specified by:
  `taskClass` in interface `ComputeCommand<CacheValidateIndexesCommandArg,​ValidateIndexesTaskResult>`
Returns:
  Task class.

#### nodes

    public Collection<GridClientNode> nodes​(Collection<GridClientNode> nodes,
                                            CacheValidateIndexesCommandArg arg)

Specified by:
  `nodes` in interface `ComputeCommand<CacheValidateIndexesCommandArg,​ValidateIndexesTaskResult>`
Parameters:
  `nodes` - Live nodes.
  `arg` - Argument.
Returns:
  nodes to execute command on, `null` means default node must be used.

#### printResult

    public void printResult​(CacheValidateIndexesCommandArg arg,
                            ValidateIndexesTaskResult res0,
                            Consumer<String> printer)

Prints command result to the user.

Specified by:
  `printResult` in interface `ComputeCommand<CacheValidateIndexesCommandArg,​ValidateIndexesTaskResult>`
Parameters:
  `arg` - Argument.
  `res0` - Result.
  `printer` - Implementation specific printer.